天气与日历 切换到窄版

 找回密码
 立即注册
中国膜结构网
十大进口膜材评选 十大国产膜材评选 十大膜结构设计评选 十大膜结构公司评选
查看: 68|回复: 0

用ARX创建线型

[复制链接]

该用户从未签到

主题

0

回帖

2912

积分

管理员

积分
2912
发表于 2024-6-22 09:46:18 | 显示全部楼层 |阅读模式
// Creates a new linetype and adds in to the linetype table
  //-----------------------------------------------------------
  static void createLinetype()
  {
    AcDbLinetypeTable *pLtypeTable = NULL ;
    // Get the linetype table from the drawing
    if( acdbHostApplicationServices()->workingDatabase()->getLinetypeTable(
                                      pLtypeTable, AcDb::kForWrite) ==Acad::eOk )
    {
      AcDbLinetypeTableRecord *pLtypeTableRecord = new AcDbLinetypeTableRecord;
      // Set all of the properties of the linetype table record
      pLtypeTableRecord->setAsciiDescription(_T("T E S T -"));
      pLtypeTableRecord->setPatternLength(0.75);
      pLtypeTableRecord->setNumDashes(2);
      pLtypeTableRecord->setDashLengthAt(0, 0.5);
      pLtypeTableRecord->setDashLengthAt(1,-0.25);
      pLtypeTableRecord->setName(_T("T_E_S_T"));
      AcDbObjectId tmpId;
      // Add the new linetype to the linetype table
      if(pLtypeTable->add(tmpId, pLtypeTableRecord)==Acad::eOk)
      {
        pLtypeTableRecord->close();
        acutPrintf(_T("\nNew linetype successfully created."));
      }
      else
      {
        delete pLtypeTableRecord;
        acutPrintf(_T("\nCannot add new linetype to the drawing."));
      }
      pLtypeTable->close();
    }

  } // end of createLinetype()

 

 

 

 

用ARX创建线型
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|Archiver|中国膜结构网|中国膜结构协会|进口膜材|国产膜材|ETFE|PVDF|PTFE|设计|施工|安装|车棚|看台|污水池|中国膜结构网_中国空间膜结构协会

GMT+8, 2024-11-1 11:39 , Processed in 0.112865 second(s), 25 queries .

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表